%include common-macros.specinclude

%define  _default_patch_fuzz 2

Summary: An X Window System image editing and painting program
Name: lsb-xpaint
Version: 2.9.8.2
Release: 4.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: MIT
Group: Appbat/graphics
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc

Source0: http://easynews.dl.sourceforge.net/sourceforge/sf-xpaint/xpaint-%{version}.tar.bz2
Source1: lsb-xpaint.desktop
Source2: xpaint.png
Patch0: xpaint-%{version}.patch

%description
LSB conforming version of xpaint.  XPaint is an X Window System color
image editing program and painting program.  Xpaint is added to the LSB
Application Battery primarly to demonstrate the use of X11 libraries.

%prep
%setup -q -n xpaint-%{version}
%patch0 -p1 -b .lsbcc

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}
%define includedir %{prefix}/include

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# more relocated libbat
sed -i 's|/opt/lsb|/opt/lsb/libbat/%{appbatversion}|g' configure
# force some things to look in LSB places
sed -i 's|/usr/X11R6|/opt/lsb|g' Local.config

./configure \
    xaw \
    -DBinDir="%{bindir}" \
    -DLibDir="%{app_prefix}/lib" \
    -DEtcX11Directory="/opt/lsb/appbat/etc/X11" \
    -DManPath="/opt/lsb/appbat/man"

make xaw

%install
rm -rf %{buildroot}

make \
    DESTDIR=%{buildroot} \
    BINDIR="%{bindir}" \
    LIBDIR="%{app_prefix}/lib" \
    ETCX11DIR="/opt/lsb/appbat/etc/X11" \
    MANPATH="/opt/lsb/appbat/man" \
    install \
    install.man

# desktop stuff
install -d %{buildroot}%{sharedir}/applications
install -d %{buildroot}%{sharedir}/icons/hicolor/16x16/apps
cp %{SOURCE1} %{buildroot}%{sharedir}/applications
cp %{SOURCE2} %{buildroot}%{sharedir}/icons/hicolor/16x16/apps

# make a README about the patch
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
if [ "$COUNT" -gt 1 ];then
  COUNT=`expr $COUNT - 1`
  install -d %{buildroot}%{sharedir}/doc
  head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.xpaint.build.patches 
fi

# generates warnings at rpm build - remove them 
rm -fr %{buildroot}/usr

%pre

%post
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu install /opt/lsb/appbat/share/applications/lsb-xpaint.desktop
fi

%preun
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu uninstall /opt/lsb/appbat/share/applications/lsb-xpaint.desktop
fi

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Thu Jun 16 2011 Stew Benedict <stewb@linux-foundation.org>
- uplift to 2.9.8.2

* Fri May 13 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Tue Jan 15 2008 Stew Benedict <stewb@linux-foundation.org>
- only execute xdg-desktop-menu if present

* Mon Oct 22 2007 Stew Benedict <stewb@linux-foundation.org>
- install/remove menu item using xdg-utils
